Uploaded image for project: 'Sakai'
  1. Sakai
  2. SAK-30805

Update Wicket to 6+ for all tools still on 1.4/1.5

    XMLWordPrintable

    Details

      Description

      There are many tools that use Wicket in Sakai. The ones that have been updated seem to work better than the ones that haven't. This may be a blocker for some of the tools that haven't been upgraded, I'm not sure yet.

      There are a few tools still on older versions of Wicket
      OAuth : 1.4.23 - SAK-30806
      Dashboard: 1.4.23 - SAK-30807
      Delegated Access: 1.4.23 - SAK-30808

      And others that have been upgraded
      Profile2: 6.20.0 - SAK-28995
      SiteStats: 6.20.0 - SAK-29633
      Gradebook NG: 6.18.0

      I'll create subtasks for each tool. It looks like it was pretty involved.

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  jonespm Matthew Jones
                  Reporter:
                  jonespm Matthew Jones
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  3 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved:

                    Git Source Code